Bug 12264 - RFE - force "Default boot image" checkbox when only 1 image defined
RFE - force "Default boot image" checkbox when only 1 image defined
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-14 11:35 EDT by James Manning
Modified: 2007-03-26 23:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-12 12:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2000-06-14 11:35:35 EDT
During the GUI installation of beta1, at the LILO config screen, the bottom
section includes an active "Default boot image" checkbox even if only one
image is defined.  While I know that just translates to the default= string
of lilo.conf, it could be confusing to some users.
Comment 1 Michael Fulbright 2000-06-15 11:33:17 EDT
Assigned to developer.
Comment 2 Michael Fulbright 2000-06-23 16:12:01 EDT
I was unable to reproduce this bug - I installed a computer with a single
linux boot target and my lilo.conf had a line which read

default=linux

There was not a 

default=

line in the lilo.conf.

This may mean this is fixed in beta2 - could you check?
Comment 3 James Manning 2000-06-23 16:32:09 EDT
Whoops :) you're misinterpreting the bug report, but in retrospect it's my fault
for not being more clear about the issue.  The generated lilo.conf isn't wrong
at all (see the "RFE" prefix :), it's simply a matter of that checkbox at the
lilo config screen of a GUI install.  I apologize for the "default=" string in
my initial report... it's definitely unclear that I was only talking about the
checkbox during the installer.

The checkbox says "default boot image" and when multiple boot images are defined
the checkbox makes sense.  When only one image is defined, the checkbox is still
active even though it no longer makes any sense (imho).  My feeling was that to
be consistent the checkbox should be grayed out (inactive) for the situation
where only one boot image ("linux" in this case) is defined.  For example the
"Workstation" "Server" and "Custom" radioboxes get grayed out if you select
"Upgrade" at the installation type query screen.

This is certainly a judgment call (hence RFE status), but I felt that the
checkbox getting grayed out for the "typical" case (or at least a very common
case) could help make the installer a little easier on Joe Average... every
question is one a user will ponder whether they're doing the right thing or not
:)
Comment 4 Brock Organ 2000-06-27 11:18:31 EDT
this will be added to our feature request list ... thanks for your efforts and
your report!
Comment 5 Brent Fox 2000-12-15 00:47:41 EST
The look of the check will probably change, but I think that it's okay for the
check to appear even if there's only one entry.  Of course, this is a judgement
call and some people may disagree, but I think it's okay.  From looking at the
anaconda bug list, there's more important problems to solve.  Maybe we'll
revisit this in the future.

Note You need to log in before you can comment on or make changes to this bug.